CREATE TABLE doo_step_dependencies[ (
    STEP_DEPENDENCY_ID              NUMBER(18, 0)     NOT NULL,
    DOO_PROCESS_ID                  NUMBER(18, 0)     NOT NULL,
    DOO_PROCESS_VERSION             NUMBER(18, 0)     NOT NULL,
    STEP_ID                         NUMBER(18, 0)     NOT NULL,
    PREVIOUS_STEP_ID                NUMBER(18, 0) ,
    NEXT_STEP_ID                    NUMBER(18, 0) ,
    BRANCH_TYPE                     VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    ORCHESTRATION_APPLICATION_ID    NUMBER(18, 0) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL
);
